using System.Text.Json.Serialization;

namespace Engine.Asset.Font.Metadata;

[JsonSerializable(typeof(Kerning))]
[Serializable]
public record Kerning
{
  [JsonPropertyName("unicode1")]
  [JsonInclude]
  public int Unicode1 { get; private set; }

  [JsonPropertyName("unicode2")]
  [JsonInclude]
  public int Unicode2 { get; private set; }

  [JsonPropertyName("advance")]
  [JsonInclude]
  public float Advance { get; private set; }
}